<a href="https://www.telerik.com/kendo-angular-ui/" target="_blank">
<img width="631" src="https://demos.telerik.com/kendo-angular-ui/assets/banner/npm-banner.svg">
</a>

## Kendo UI for Angular Menus Package (Menu and ContextMenu Components)

> * This package is part of [Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui)&mdash;a commercial library designed and built for developing business applications with Angular. Every UI component in the Kendo UI for Angular suite has been built from the ground-up specifically for Angular.
> * You must [install a license key](https://www.telerik.com/kendo-angular-ui/my-license) when adding the package to your project. To receive a license key, either [purchase a license](https://www.telerik.com/purchase/kendo-ui) or register for a [free trial](https://www.telerik.com/download-login-v2-kendo-angular-ui).
> * The 30-day free trial gives you access to all the Kendo UI for Angular components and their full functionality. Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Angular dev team!
>
> [Start using Kendo UI for Angular](https://www.telerik.com/download-login-v2-kendo-angular-ui) and speed up your development process!

The [Kendo UI for Angular Menus](https://www.telerik.com/kendo-angular-ui/components/menus) package consists of two components that display a hierarchical list of items in a popup.

## What's Included in the Angular Menus Package

* [Angular Menu Component](https://www.telerik.com/kendo-angular-ui/components/menus/menu)&mdash;A flexible navigation element that enables you to display a main menu along with sub-menus to organize various menu items.
* [Angular ContextMenu Component](https://www.telerik.com/kendo-angular-ui/components/menus/contextmenu)&mdash;Displays a contextual menu when a user right-clicks on an element.

## Key Features

Among the many features which the Kendo UI for Angular Menus deliver are:

* [Data Binding](https://www.telerik.com/kendo-angular-ui/components/menus/menu/data-binding)&mdash;You can bind the Menu components to a local or a remote objects array.
* [Orientation](https://www.telerik.com/kendo-angular-ui/components/menus/contextmenu/orientation)&mdash;You can set the orientation of the components to vertical or horizontal based on your needs.
* [Opening](https://www.telerik.com/kendo-angular-ui/components/menus/contextmenu/opening)&mdash;The Menus open and close on different user interactions but you can change the event on which the desired menu will open or close.
* [Templates](https://www.telerik.com/kendo-angular-ui/components/menus/contextmenu/templates)&mdash;The Menus enable you to customize their content, items, and the content of the items by using the available templates.
* [Globalization](https://www.telerik.com/kendo-angular-ui/components/menus/globalization)&mdash;The included components support globalization to ensure that they can fit well in any application, no matter what languages and locales need to be supported. Additionally, the Menus support rendering in a right-to-left (RTL) direction.
* [Accessibility](https://www.telerik.com/kendo-angular-ui/components/menus/menu/accessibility)&mdash;The Menus are accessible for screen readers and support WAI-ARIA attributes.
* [Keyboard Navigation](https://www.telerik.com/kendo-angular-ui/components/menus/menu/keyboard-navigation)&mdash;The Menus support a number of keyboard shortcuts which alow users to accomplish various commands.

## Support Options

For any issues you might encounter while working with the Kendo UI for Angular Menus, you have the following support channels available:

* Industry-leading technical support&mdash;Kendo UI for Angular paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use the [dedicated Kendo UI for Angular support system](https://www.telerik.com/account/support-tickets).
* Product forums&mdash;The [Kendo UI for Angular forums](https://www.telerik.com/forums/kendo-angular-ui) are part of the free support you can get from the community and from the Kendo UI for Angular team.
* Feedback portal&mdash;The [Kendo UI for Angular feedback portal](https://feedback.telerik.com/kendo-angular-ui) is where you can request and vote for new features to be added.

## Resources

* [Getting Started with Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/getting-started)
* [Getting Started with the Kendo UI for Angular Menus](https://www.telerik.com/kendo-angular-ui/components/menus/installation/getting-started)
* [Menus Overview page](https://www.telerik.com/kendo-angular-ui/components/menus) and [Menus API reference](https://www.telerik.com/kendo-angular-ui/components/menus/api)
* [Kendo UI for Angular roadmap](https://www.telerik.com/kendo-angular-ui/roadmap)
* [Kendo UI for Angular Blog](https://www.telerik.com/blogs/tag/kendo-ui-for-angular)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-angular-ui/components)
* [Kendo UI for Angular pricing and licensing](https://www.telerik.com/purchase/kendo-ui)

*Copyright © 2025 Progress Software Corporation and/or one of its subsidiaries or affiliates. All rights reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*
