/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, OnDestroy } from '@angular/core';
import { ContextMenuTargetService } from './context-menu-target.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare const TARGET_CLASS = "k-contextmenu-target";
/**
 * Specifies a [target]({% slug api_menu_contextmenutargetdirective %}) for the ContextMenu
 * ([see example]({% slug target_contextmenu %}#toc-directives)).
 */
export declare class ContextMenuTargetDirective implements OnDestroy {
    targetService: ContextMenuTargetService;
    /**
     * The data which is associated with the target.
     */
    data: any;
    /**
     * The target DOM element.
     */
    element: any;
    /**
     * @hidden
     */
    hostClass: boolean;
    constructor(elementRef: ElementRef, targetService: ContextMenuTargetService);
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContextMenuTargetDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ContextMenuTargetDirective, "[kendoContextMenuTarget]", ["kendoContextMenuTarget"], { "data": { "alias": "kendoContextMenuTarget"; "required": false; }; }, {}, never, never, true, never>;
}
