/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./context-menu.component";
import * as i2 from "./context-menu-template.directive";
import * as i3 from "./context-menu-target.directive";
import * as i4 from "./context-menu-target-container.directive";
import * as i5 from "../menu.component";
import * as i6 from "../menu-item.component";
import * as i7 from "../templates/item-template.directive";
import * as i8 from "../templates/item-link-template.directive";
import * as i9 from "../templates/item-content-template.directive";
import * as i10 from "../data-binding/hierachy-binding.directive";
import * as i11 from "../data-binding/flat-binding.directive";
import * as i12 from "../rendering/link.directive";
import * as i13 from "../rendering/arrow.component";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the ContextMenu component.
 *
 * @example
 *
 * ```ts-no-run
 * // Import the ContextMenu module
 * import { ContextMenuModule } from '@progress/kendo-angular-menu';
 *
 * // The browser platform with a compiler
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 * import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
 *
 * import { NgModule } from '@angular/core';
 *
 * // Import the app component
 * import { AppComponent } from './app.component';
 *
 * // Define the app module
 * _@NgModule({
 *     declarations: [AppComponent], // declare app component
 *     imports:      [BrowserModule, BrowserAnimationsModule, ContextMenuModule], // import ContextMenuModule module
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 *
 * // Compile and launch the module
 * platformBrowserDynamic().bootstrapModule(AppModule);
 *
 * ```
 */
export declare class ContextMenuModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<ContextMenuModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<ContextMenuModule, never, [typeof i1.ContextMenuComponent, typeof i2.ContextMenuTemplateDirective, typeof i3.ContextMenuTargetDirective, typeof i4.ContextMenuTargetContainerDirective, typeof i5.MenuComponent, typeof i6.MenuItemComponent, typeof i7.ItemTemplateDirective, typeof i8.ItemLinkTemplateDirective, typeof i9.ItemContentTemplateDirective, typeof i10.HierarchyBindingDirective, typeof i11.FlatBindingDirective, typeof i12.LinkDirective, typeof i13.ExpandArrowComponent], [typeof i1.ContextMenuComponent, typeof i2.ContextMenuTemplateDirective, typeof i3.ContextMenuTargetDirective, typeof i4.ContextMenuTargetContainerDirective, typeof i5.MenuComponent, typeof i6.MenuItemComponent, typeof i7.ItemTemplateDirective, typeof i8.ItemLinkTemplateDirective, typeof i9.ItemContentTemplateDirective, typeof i10.HierarchyBindingDirective, typeof i11.FlatBindingDirective, typeof i12.LinkDirective, typeof i13.ExpandArrowComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<ContextMenuModule>;
}
