/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { OnChanges } from '@angular/core';
import { MenuBase } from '../menu-base';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare abstract class BindingDirectiveBase implements OnChanges {
    protected menu: MenuBase;
    data: any[];
    protected fields: any[];
    constructor(menu: MenuBase);
    ngOnChanges(): void;
    /**
     *  Rebinds the Menu items.
     */
    rebind(): void;
    protected abstract mapItems(items: any[]): any[];
    static ɵfac: i0.ɵɵFactoryDeclaration<BindingDirectiveBase, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BindingDirectiveBase, "kendoBindingBase", never, {}, {}, never, never, false, never>;
}
