/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Arguments for the `open` and `close` events of the ContextMenu.
 */
export class ContextMenuEvent {
    /**
     * The target element for which the ContextMenu is opened.
     */
    target;
    /**
     * The ContextMenuComponent that triggered the event.
     */
    sender;
    /**
     * The item data of the event.
     */
    item;
    /**
     * The item index of the event.
     */
    index;
}
