/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { MenuComponent } from './menu.component';
import { MenuItemComponent } from './menu-item.component';
import { LinkDirective } from './rendering/link.directive';
import { ExpandArrowComponent } from './rendering/arrow.component';
import { ItemTemplateDirective } from './templates/item-template.directive';
import { ItemLinkTemplateDirective } from './templates/item-link-template.directive';
import { ItemContentTemplateDirective } from './templates/item-content-template.directive';
import { HierarchyBindingDirective } from './data-binding/hierachy-binding.directive';
import { FlatBindingDirective } from './data-binding/flat-binding.directive';
import { ContextMenuComponent } from './context-menu/context-menu.component';
import { ContextMenuTemplateDirective } from './context-menu/context-menu-template.directive';
import { ContextMenuTargetDirective } from './context-menu/context-menu-target.directive';
import { ContextMenuTargetContainerDirective } from './context-menu/context-menu-target-container.directive';
/**
* Utility array that contains all `Menu` related components and directives.
*/
export const KENDO_MENU = [
    MenuComponent,
    MenuItemComponent,
    ItemTemplateDirective,
    ItemLinkTemplateDirective,
    ItemContentTemplateDirective,
    HierarchyBindingDirective,
    FlatBindingDirective,
    LinkDirective,
    ExpandArrowComponent
];
/**
* Utility array that contains all `ContextMenu` related components and directives.
*/
export const KENDO_CONTEXTMENU = [
    ContextMenuComponent,
    ContextMenuTemplateDirective,
    ContextMenuTargetDirective,
    ContextMenuTargetContainerDirective,
    ...KENDO_MENU
];
/**
* Utility array that contains all `@progress/kendo-angular-menu` related components and directives.
*/
export const KENDO_MENUS = [
    ...KENDO_MENU,
    ...KENDO_CONTEXTMENU
];
