/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./menu.component";
import * as i2 from "./menu-item.component";
import * as i3 from "./templates/item-template.directive";
import * as i4 from "./templates/item-link-template.directive";
import * as i5 from "./templates/item-content-template.directive";
import * as i6 from "./data-binding/hierachy-binding.directive";
import * as i7 from "./data-binding/flat-binding.directive";
import * as i8 from "./rendering/link.directive";
import * as i9 from "./rendering/arrow.component";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the Menu component.
 *
 * @example
 *
 * ```ts-no-run
 * // Import the Menu module
 * import { MenuModule } from '@progress/kendo-angular-menu';
 *
 * // The browser platform with a compiler
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 * import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
 *
 * import { NgModule } from '@angular/core';
 *
 * // Import the app component
 * import { AppComponent } from './app.component';
 *
 * // Define the app module
 * _@NgModule({
 *     declarations: [AppComponent], // declare app component
 *     imports:      [BrowserModule, BrowserAnimationsModule, MenuModule], // import Menu module
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 *
 * // Compile and launch the module
 * platformBrowserDynamic().bootstrapModule(AppModule);
 *
 * ```
 */
export declare class MenuModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<MenuModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<MenuModule, never, [typeof i1.MenuComponent, typeof i2.MenuItemComponent, typeof i3.ItemTemplateDirective, typeof i4.ItemLinkTemplateDirective, typeof i5.ItemContentTemplateDirective, typeof i6.HierarchyBindingDirective, typeof i7.FlatBindingDirective, typeof i8.LinkDirective, typeof i9.ExpandArrowComponent], [typeof i1.MenuComponent, typeof i2.MenuItemComponent, typeof i3.ItemTemplateDirective, typeof i4.ItemLinkTemplateDirective, typeof i5.ItemContentTemplateDirective, typeof i6.HierarchyBindingDirective, typeof i7.FlatBindingDirective, typeof i8.LinkDirective, typeof i9.ExpandArrowComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<MenuModule>;
}
