/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { OnInit } from '@angular/core';
import { SVGIcon } from '@progress/kendo-svg-icons';
import { ItemsService } from '../services/items.service';
import * as i0 from "@angular/core";
/**
 * Represents a component that can be used in the [`linkTemplate`]({% slug api_menu_itemlinktemplatedirective %})
 * of the items to render the default expand arrow.
 */
export declare class ExpandArrowComponent implements OnInit {
    private itemsService;
    /**
     * The index of the Menu item. The input is mandatory.
     */
    index: string;
    hostClasses: boolean;
    ariaHidden: string;
    private item;
    /**
     * @hidden
     */
    fontIcon: string;
    /**
     * @hidden
     */
    SVGIcon: SVGIcon;
    constructor(itemsService: ItemsService);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ExpandArrowComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ExpandArrowComponent, "[kendoMenuExpandArrow]", never, { "index": { "alias": "kendoMenuExpandArrow"; "required": false; }; }, {}, never, never, true, never>;
}
