/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { OnInit } from '@angular/core';
import { ItemsService } from '../services/items.service';
import * as i0 from "@angular/core";
/**
 * Represents a directive that can be used in the [`linkTemplate`]({% slug api_menu_itemlinktemplatedirective %})
 * of the items to apply the default styling and behavior.
 */
export declare class LinkDirective implements OnInit {
    private itemsService;
    /**
     * The index of the Menu item. The input is mandatory.
     */
    index: string;
    hostClasses: boolean;
    role: string;
    tabindex: string;
    get activeClass(): boolean;
    private item;
    constructor(itemsService: ItemsService);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LinkDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LinkDirective, "[kendoMenuItemLink]", never, { "index": { "alias": "kendoMenuItemLink"; "required": false; }; }, {}, never, never, true, never>;
}
